package com.srs.routine.mapper;

import java.util.List;

import com.srs.common.doman.vo.TeacherVo;
import com.srs.routine.domain.SysDisBasic;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;

/**
 * 退伍复学申请Mapper接口
 *
 * @author srs
 * @date 2025-11-06
 */
public interface SysDisBasicMapper extends BaseMapper<SysDisBasic> {
    /**
     * 查询退伍复学申请
     *
     * @param id 退伍复学申请主键
     * @return 退伍复学申请
     */
    public SysDisBasic selectSysDisBasicById(Long id);

    public SysDisBasic selectSysDisBasicByStId(@Param("stId") String stId);

    public SysDisBasic selectSysDisBasicByProcessInstanceId(@Param("processId") String processId);

    public SysDisBasic selectSysDisBasicByStName(@Param("stName") String stName);
    /**
     * 查询退伍复学申请列表
     *
     * @param sysDisBasic 退伍复学申请
     * @return 退伍复学申请集合
     */
    List<SysDisBasic> selectSysDisBasicList(SysDisBasic sysDisBasic);

    //    学号查询
    List<TeacherVo> getShenDataInfo(String roleName);

    /**
     * 新增退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    @Options(useGeneratedKeys = true, keyProperty = "id", keyColumn = "id")
    int insertSysDisBasic(SysDisBasic sysDisBasic);

    /**
     * 修改退伍复学申请
     *
     * @param sysDisBasic 退伍复学申请
     * @return 结果
     */
    int updateSysDisBasic(SysDisBasic sysDisBasic);

    /**
     * 删除退伍复学申请
     *
     * @param id 退伍复学申请主键
     * @return 结果
     */
    int deleteSysDisBasicById(Long id);

    /**
     * 批量删除退伍复学申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysDisBasicByIds(Long[] ids);

    /**
     * 根据学生学号，获取辅导员在sys_user表信息
     * @param
     * @return
     */
    TeacherVo getCounselorInfo(@Param("stId") String stId);

}
